VARKON Version 1.15 1997-12-29

> ## lin_tan1 - Geometric procedure

> Creates a line
> Description
> Creates a line tangent to either an arc or a curve. Possible tangency alternatives are enumerated along the referenced entity and an alt parameter is supplied to select the right solution.
> Syntax
> lin_tan1(id, p, ref, alt:attributes);

> REF | id;
> VECTOR | p;
> REF | ref;
> INT | alt;

> Principal parameters

> id | - Local identity
> p | - Start position
> ref | - Identity of arc or curve
> alt | - Requested position of tangency

> Optional parameters

> None. |

> Attributes

> PEN | - Pen or colour number
> LEVEL | - Level number
> BLANK | - Visible(0) or invisible(1)
> LFONT | - Solid(0), dashed(1) or centerline(2)
> LDASHL | - Dashlength
> WIDTH | - Linewidth

> Example
> lin_tan1(#6,vec(100,200),#3,2:BLANK=1,LEVEL=50);
> Creates an invisible line on level 50 starting in X=100, Y=200 and ending in the second possible position of tangency with #3.
> Comments
> In a 3D module the resulting line is restricted to the XY-plane of the active coordinate system. If the start position p or the line ref is not in this plane they will be projected along the Z-axis onto the XY-plane before used to create the new line.

VARKON Homepage | Index